Page MenuHomePhabricator

PHP Notice: Undefined index from line 507 of includes/Score.php
Closed, ResolvedPublic

Description

[{exception_id}] {exception_url} ErrorException from line 507 of /srv/mediawiki/php-1.32.0-wmf.14/extensions/Score/includes/Score.php: PHP Notice: Undefined index: c9ndx98du2vap7n4k3jo1cajm2tzc3v.ogg
[{exception_id}] {exception_url} ErrorException from line 507 of /srv/mediawiki/php-1.32.0-wmf.14/extensions/Score/includes/Score.php: PHP Notice: Undefined index: s1cw3lmd9ylgtey7knirhc88qbcvixa.ogg

Seen at https://logstash.wikimedia.org/app/kibana#/dashboard/mediawiki-errors when searching for "Score". Typically during the parsing of wikitext, either from Parsoid via /w/api.php or on /w/index.php.

Trace for /w/api.php
#0 /srv/mediawiki/php-1.32.0-wmf.14/extensions/Score/includes/Score.php(507): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.32.0-wmf.14/extensions/Score/includes/Score.php(343): Score::generateHTML(Parser, string, array)
#2 /srv/mediawiki/php-1.32.0-wmf.14/includes/parser/Parser.php(3898): Score::render(string, array, Parser, PPFrame_Hash)
#3 /srv/mediawiki/php-1.32.0-wmf.14/includes/parser/Preprocessor_Hash.php(1188): Parser->extensionSubstitution(array, PPFrame_Hash)
#4 /srv/mediawiki/php-1.32.0-wmf.14/includes/parser/Parser.php(2953): PPFrame_Hash->expand(PPNode_Hash_Tree, integer)
#5 /srv/mediawiki/php-1.32.0-wmf.14/includes/parser/Parser.php(1297): Parser->replaceVariables(string)
#6 /srv/mediawiki/php-1.32.0-wmf.14/includes/parser/Parser.php(446): Parser->internalParse(string)
#7 /srv/mediawiki/php-1.32.0-wmf.14/extensions/ParsoidBatchAPI/includes/ApiParsoidBatch.php(253): Parser->parse(string, Title, ParserOptions, boolean, boolean, integer)
#8 /srv/mediawiki/php-1.32.0-wmf.14/extensions/ParsoidBatchAPI/includes/ApiParsoidBatch.php(147): ApiParsoidBatch->parse(string, Title, integer)
#9 /srv/mediawiki/php-1.32.0-wmf.14/includes/api/ApiMain.php(1582): ApiParsoidBatch->execute()
#10 /srv/mediawiki/php-1.32.0-wmf.14/includes/api/ApiMain.php(535): ApiMain->executeAction()
#11 /srv/mediawiki/php-1.32.0-wmf.14/includes/api/ApiMain.php(506): ApiMain->executeActionWithErrorHandling()
#12 /srv/mediawiki/php-1.32.0-wmf.14/api.php(83): ApiMain->execute()
#13 /srv/mediawiki/w/api.php(3): include(string)
#14 {main}
Trace for index.php
#0 /srv/mediawiki/php-1.32.0-wmf.14/extensions/Score/includes/Score.php(507): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.32.0-wmf.14/extensions/Score/includes/Score.php(343): Score::generateHTML(Parser, string, array)
#2 /srv/mediawiki/php-1.32.0-wmf.14/includes/parser/Parser.php(3898): Score::render(string, array, Parser, PPTemplateFrame_Hash)
#3 /srv/mediawiki/php-1.32.0-wmf.14/includes/parser/CoreParserFunctions.php(1092): Parser->extensionSubstitution(array, PPTemplateFrame_Hash)
#4 /srv/mediawiki/php-1.32.0-wmf.14/includes/parser/Parser.php(3434): CoreParserFunctions::tagObj(Parser, PPTemplateFrame_Hash, array)
#5 /srv/mediawiki/php-1.32.0-wmf.14/includes/parser/Parser.php(3138): Parser->callParserFunction(PPTemplateFrame_Hash, string, array)
#6 /srv/mediawiki/php-1.32.0-wmf.14/includes/parser/Preprocessor_Hash.php(1114): Parser->braceSubstitution(array, PPTemplateFrame_Hash)
#7 /srv/mediawiki/php-1.32.0-wmf.14/includes/parser/Parser.php(3313): PPFrame_Hash->expand(PPNode_Hash_Tree)
#8 /srv/mediawiki/php-1.32.0-wmf.14/includes/parser/Preprocessor_Hash.php(1114): Parser->braceSubstitution(array, PPFrame_Hash)
#9 /srv/mediawiki/php-1.32.0-wmf.14/includes/parser/Parser.php(2953): PPFrame_Hash->expand(PPNode_Hash_Tree, integer)
#10 /srv/mediawiki/php-1.32.0-wmf.14/includes/parser/Parser.php(1297): Parser->replaceVariables(string)
#11 /srv/mediawiki/php-1.32.0-wmf.14/includes/parser/Parser.php(446): Parser->internalParse(string)
#12 /srv/mediawiki/php-1.32.0-wmf.14/includes/content/WikitextContent.php(323): Parser->parse(string, Title, ParserOptions, boolean, boolean, NULL)
#13 /srv/mediawiki/php-1.32.0-wmf.14/includes/content/AbstractContent.php(516): WikitextContent->fillParserOutput(Title, NULL, ParserOptions, boolean, ParserOutput)
#14 /srv/mediawiki/php-1.32.0-wmf.14/extensions/PageTriage/includes/ArticleCompile/ArticleCompileInterface.php(130): AbstractContent->getParserOutput(Title)
#15 /srv/mediawiki/php-1.32.0-wmf.14/extensions/PageTriage/includes/ArticleCompile/ArticleCompileCategoryCount.php(16): MediaWiki\Extension\PageTriage\ArticleCompile\ArticleCompileInterface->getParserOutputByPageId(string)
#16 /srv/mediawiki/php-1.32.0-wmf.14/extensions/PageTriage/includes/ArticleCompile/ArticleCompileProcessor.php(165): MediaWiki\Extension\PageTriage\ArticleCompile\ArticleCompileCategoryCount->compile()
#17 /srv/mediawiki/php-1.32.0-wmf.14/extensions/PageTriage/includes/ArticleCompile/ArticleCompileProcessor.php(125): MediaWiki\Extension\PageTriage\ArticleCompile\ArticleCompileProcessor->process()
#18 /srv/mediawiki/php-1.32.0-wmf.14/extensions/PageTriage/includes/Hooks.php(200): MediaWiki\Extension\PageTriage\ArticleCompile\ArticleCompileProcessor->compileMetadata()
#19 /srv/mediawiki/php-1.32.0-wmf.14/includes/deferred/MWCallableUpdate.php(34): Closure$MediaWiki\Extension\PageTriage\Hooks::onLinksUpdateComplete()
#20 /srv/mediawiki/php-1.32.0-wmf.14/includes/deferred/DeferredUpdates.php(268): MWCallableUpdate->doUpdate()
#21 /srv/mediawiki/php-1.32.0-wmf.14/includes/deferred/DeferredUpdates.php(226): DeferredUpdates::runUpdate(MWCallableUpdate, Wikimedia\Rdbms\LBFactoryMulti, string, integer)
#22 /srv/mediawiki/php-1.32.0-wmf.14/includes/deferred/DeferredUpdates.php(134): DeferredUpdates::execute(array, string, integer)
#23 /srv/mediawiki/php-1.32.0-wmf.14/includes/MediaWiki.php(913): DeferredUpdates::doUpdates(string)
#24 /srv/mediawiki/php-1.32.0-wmf.14/includes/MediaWiki.php(733): MediaWiki->restInPeace(string, boolean)
#25 [internal function]: Closure$MediaWiki::doPostOutputShutdown()
#26 {main}

Code at Score.php:507

		if ( $options['generate_audio'] ) {
	$length = $metaData[basename( $audioPath )]['length'];

Event Timeline

Krinkle created this task.Jul 31 2018, 6:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 31 2018, 6:48 PM
Krinkle updated the task description. (Show Details)

Change 449628 had a related patch set uploaded (by Ebe123; owner: Ebe123):
[mediawiki/extensions/Score@master] Fix wrong filename in json file

https://gerrit.wikimedia.org/r/449628

Ebe123 claimed this task.Jul 31 2018, 10:27 PM

Change 449628 merged by jenkins-bot:
[mediawiki/extensions/Score@master] Use different MIME type for OGG files

https://gerrit.wikimedia.org/r/449628

Ebe123 closed this task as Resolved.Aug 1 2018, 2:40 AM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:08 PM